
Name: libsyncml
Version: 0.4.4
Release: alt1

Summary: Library providing support for the SyncML protocol
License: LGPL
Group: System/Libraries
URL:  http://libsyncml.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.bz2

Requires: libopenobex libsoup libwbxml2
BuildRequires: gcc-c++ glibc-devel  libopenobex-devel libsoup-devel libwbxml2-devel packages-info-i18n-common

%description
Libsyncml is a implementation of the SyncML protocol. It allows
syncronisation programs like OpenSync the synchronization of
SyncML-enabled devices, such as the SonyEricsson P800, as well as
remote OpenSync to OpenSync synchronization over the internet.

%package devel
Summary: Header files, libraries and development documentation for %name
Group: Development/C
Requires: %name = %version
Requires: libopenobex-devel libsoup-devel libwbxml2-devel

%description devel
This package contains the header files, static libraries and development
documentation for %name. If you like to develop programs using %name,
you will need to install %name-devel.

%prep
%setup -q

%build

%if_enabled cvs
%__libtoolize
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign
%endif

%configure --disable-unit-tests
%make

%install
%make_install install DESTDIR=%buildroot
%__rm -f %buildroot%_libdir/*.la

%files
%_bindir/*
%_libdir/*.so.*
%doc AUTHORS COPYING NEWS README TODO
%_mandir/man?/*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.4.4-alt1
- 0.4.4
- add packager

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.4.3-alt2
- add Requires: libopenobex-devel libsoup-devel libwbxml2-devel for devel package

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Wed Oct 25 2006 Alexey Shabalin <shaba@altlinux.ru> 0.4.1-alt2
- disable-unit-tests (for build x86_64)

* Mon Oct 09 2006 Alexey Shabalin <shaba@altlinux.ru> 0.4.1-alt1
- Initial package
